summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-libs/boost/boost-1.58.0.ebuild402
-rw-r--r--dev-libs/boost/files/boost-1.48.0-disable_icu_rpath.patch29
-rw-r--r--dev-libs/boost/files/boost-1.48.0-disable_libboost_python3.patch62
-rw-r--r--dev-libs/boost/files/boost-1.48.0-mpi_python3.patch95
-rw-r--r--dev-libs/boost/files/boost-1.48.0-no_strict_aliasing_python2.patch23
-rw-r--r--dev-libs/boost/files/boost-1.48.0-python_linking.patch24
-rw-r--r--dev-libs/boost/files/boost-1.51.0-respect_python-buildid.patch69
-rw-r--r--dev-libs/boost/files/boost-1.51.0-support_dots_in_python-buildid.patch22
-rw-r--r--dev-libs/boost/files/boost-1.52.0-locale-utf.patch52
-rw-r--r--dev-libs/boost/files/boost-1.52.0-threads.patch63
-rw-r--r--dev-libs/boost/files/boost-1.52.0-tuple.patch11
-rw-r--r--dev-libs/boost/files/boost-1.53.0-glibc-2.18-compat.patch18
-rw-r--r--dev-libs/boost/files/boost-1.53.0-library_status.patch57
-rw-r--r--dev-libs/boost/files/boost-1.55.0-context-x32.patch42
-rw-r--r--dev-libs/boost/files/boost-1.55.0-tools-c98-compat.patch17
-rw-r--r--dev-libs/boost/files/boost-1.56.0-build-auto_index-tool.patch13
-rw-r--r--dev-libs/boost/files/remove-toolset-1.48.0.patch11
-rw-r--r--dev-util/boost-build/boost-build-1.58.0.ebuild139
-rw-r--r--dev-util/boost-build/files/boost-build-1.48.0-disable_python_rpath.patch11
-rw-r--r--dev-util/boost-build/files/boost-build-1.48.0-support_dots_in_python-buildid.patch19
-rw-r--r--dev-util/boost-build/files/boost-build-1.49.0-darwin-gentoo-toolchain.patch26
-rw-r--r--dev-util/boost-build/files/boost-build-1.50.0-fix-test.patch11
-rw-r--r--dev-util/boost-build/files/boost-build-1.50.0-respect-c_ld-flags.patch53
-rw-r--r--dev-util/boost-build/files/boost-build-1.52.0-darwin-no-python-framework.patch17
-rw-r--r--dev-util/boost-build/files/boost-build-1.54.0-fix-test.patch11
-rw-r--r--dev-util/boost-build/files/boost-build-1.54.0-support_dots_in_python-buildid.patch19
-rw-r--r--dev-util/boost-build/files/boost-build-1.55.0-ppc-aix.patch13
-rw-r--r--dev-util/boost-build/files/site-config.jam11
28 files changed, 0 insertions, 1340 deletions
diff --git a/dev-libs/boost/boost-1.58.0.ebuild b/dev-libs/boost/boost-1.58.0.ebuild
deleted file mode 100644
index 514be4c..0000000
--- a/dev-libs/boost/boost-1.58.0.ebuild
+++ /dev/null
@@ -1,402 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.57.0.ebuild,v 1.4 2015/04/08 17:51:55 mgorny Exp $
-
-EAPI="5"
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
-
-inherit eutils flag-o-matic multilib multiprocessing python-r1 toolchain-funcs versionator multilib-minimal
-
-MY_P="${PN}_$(replace_all_version_separators _)"
-MAJOR_V="$(get_version_component_range 1-2)"
-
-DESCRIPTION="Boost Libraries for C++"
-HOMEPAGE="http://www.boost.org/"
-SRC_URI="mirror://sourceforge/boost/${MY_P}.tar.bz2"
-
-LICENSE="Boost-1.0"
-SLOT="0/${PV}" # ${PV} instead ${MAJOR_V} due to bug 486122
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris ~x86-winnt"
-
-IUSE="context debug doc icu +nls mpi python static-libs +threads tools"
-
-RDEPEND="abi_x86_32? ( !app-emulation/emul-linux-x86-cpplibs[-abi_x86_32(-)] )
- icu? ( >=dev-libs/icu-3.6:=[${MULTILIB_USEDEP}] )
- !icu? ( virtual/libiconv[${MULTILIB_USEDEP}] )
- mpi? ( virtual/mpi[cxx,threads] )
- python? ( ${PYTHON_DEPS} )
- app-arch/bzip2[${MULTILIB_USEDEP}]
- sys-libs/zlib[${MULTILIB_USEDEP}]
- !app-admin/eselect-boost"
-DEPEND="${RDEPEND}
- =dev-util/boost-build-${MAJOR_V}*"
-REQUIRED_USE="
- mpi? ( threads )
- python? ( ${PYTHON_REQUIRED_USE} )"
-
-S="${WORKDIR}/${MY_P}"
-
-# the tests will never fail because these are not intended as sanity
-# tests at all. They are more a way for upstream to check their own code
-# on new compilers. Since they would either be completely unreliable
-# (failing for no good reason) or completely useless (never failing)
-# there is no point in having them in the ebuild to begin with.
-RESTRICT="test"
-
-python_bindings_needed() {
- multilib_is_native_abi && use python
-}
-
-tools_needed() {
- multilib_is_native_abi && use tools
-}
-
-# MPI stuff is not ported on multilib yet, disabling it for non-native ABIs
-mpi_needed() {
- multilib_is_native_abi && use mpi
-}
-
-create_user-config.jam() {
- local compiler compiler_version compiler_executable
-
- if [[ ${CHOST} == *-darwin* ]]; then
- compiler="darwin"
- compiler_version="$(gcc-fullversion)"
- compiler_executable="$(tc-getCXX)"
- else
- compiler="gcc"
- compiler_version="$(gcc-version)"
- compiler_executable="$(tc-getCXX)"
- fi
- local mpi_configuration python_configuration
-
- if mpi_needed; then
- mpi_configuration="using mpi ;"
- fi
-
- if python_bindings_needed; then
- if tc-is-cross-compiler; then
- python_configuration="using python : ${EPYTHON#python} : : ${SYSROOT:-${EROOT}}/usr/include/${EPYTHON} : ${SYSROOT:-${EROOT}}/usr/$(get_libdir) ;"
- else
- python_configuration="using python : : ${PYTHON} ;"
- fi
- fi
-
- cat > "${BOOST_ROOT}/user-config.jam" << __EOF__
-using ${compiler} : ${compiler_version} : ${compiler_executable} : <cflags>"${CFLAGS}" <cxxflags>"${CXXFLAGS}" <linkflags>"${LDFLAGS}" ;
-${mpi_configuration}
-${python_configuration}
-__EOF__
-}
-
-pkg_setup() {
- # Bail out on unsupported build configuration, bug #456792
- if [[ -f "${EROOT}etc/site-config.jam" ]]; then
- grep -q gentoorelease "${EROOT}etc/site-config.jam" && grep -q gentoodebug "${EROOT}etc/site-config.jam" ||
- (
- eerror "You are using custom ${EROOT}etc/site-config.jam without defined gentoorelease/gentoodebug targets."
- eerror "Boost can not be built in such configuration."
- eerror "Please, either remove this file or add targets from ${EROOT}usr/share/boost-build/site-config.jam to it."
- die
- )
- fi
-}
-
-src_prepare() {
- epatch \
- "${FILESDIR}/${PN}-1.51.0-respect_python-buildid.patch" \
- "${FILESDIR}/${PN}-1.51.0-support_dots_in_python-buildid.patch" \
- "${FILESDIR}/${PN}-1.48.0-no_strict_aliasing_python2.patch" \
- "${FILESDIR}/${PN}-1.48.0-disable_libboost_python3.patch" \
- "${FILESDIR}/${PN}-1.48.0-python_linking.patch" \
- "${FILESDIR}/${PN}-1.48.0-disable_icu_rpath.patch" \
- "${FILESDIR}/${PN}-1.55.0-context-x32.patch" \
- "${FILESDIR}/${PN}-1.52.0-threads.patch" \
- "${FILESDIR}/${PN}-1.56.0-build-auto_index-tool.patch"
-
- # Do not try to build missing 'wave' tool, bug #522682
- # Upstream bugreport - https://svn.boost.org/trac/boost/ticket/10507
- sed -i -e 's:wave/build//wave::' tools/Jamfile.v2 || die
-
- epatch_user
-
- multilib_copy_sources
-}
-
-ejam() {
- local b2_opts="--user-config=${BOOST_ROOT}/user-config.jam $@"
- echo b2 ${b2_opts}
- b2 ${b2_opts}
-}
-
-src_configure() {
- # Workaround for too many parallel processes requested, bug #506064
- [ "$(makeopts_jobs)" -gt 64 ] && MAKEOPTS="${MAKEOPTS} -j64"
-
- OPTIONS="$(usex debug gentoodebug gentoorelease) -j$(makeopts_jobs) -q -d+2"
-
- if [[ ${CHOST} == *-darwin* ]]; then
- # We need to add the prefix, and in two cases this exceeds, so prepare
- # for the largest possible space allocation.
- append-ldflags -Wl,-headerpad_max_install_names
- elif [[ ${CHOST} == *-winnt* ]]; then
- compiler=parity
- if [[ $($(tc-getCXX) -v) == *trunk* ]]; then
- compilerVersion=trunk
- else
- compilerVersion=$($(tc-getCXX) -v | sed '1q' \
- | sed -e 's,\([a-z]*\) \([0-9]\.[0-9]\.[0-9][^ \t]*\) .*,\2,')
- fi
- compilerExecutable=$(tc-getCXX)
- fi
-
- # bug 298489
- if use ppc || use ppc64; then
- [[ $(gcc-version) > 4.3 ]] && append-flags -mno-altivec
- fi
-
- # Do _not_ use C++11 yet, make sure to force GNU C++ 98 standard.
- append-cxxflags -std=gnu++98
-
- use icu && OPTIONS+=" -sICU_PATH=${EPREFIX}/usr"
- use icu || OPTIONS+=" --disable-icu boost.locale.icu=off"
- mpi_needed || OPTIONS+=" --without-mpi"
- use nls || OPTIONS+=" --without-locale"
- use context || OPTIONS+=" --without-context --without-coroutine"
-
- OPTIONS+=" pch=off"
- OPTIONS+=" --boost-build=${EPREFIX}/usr/share/boost-build --prefix=\"${ED}usr\""
- OPTIONS+=" --layout=system"
- OPTIONS+=" threading=$(usex threads multi single) link=$(usex static-libs shared,static shared)"
-
- [[ ${CHOST} == *-winnt* ]] && OPTIONS+=" -sNO_BZIP2=1"
-}
-
-multilib_src_compile() {
- local -x BOOST_ROOT="${BUILD_DIR}"
- PYTHON_DIRS=""
- MPI_PYTHON_MODULE=""
-
- building() {
- create_user-config.jam
-
- local PYTHON_OPTIONS
- if python_bindings_needed; then
- PYTHON_OPTIONS=" --python-buildid=${EPYTHON#python}"
- else
- PYTHON_OPTIONS=" --without-python"
- fi
-
- ejam \
- ${OPTIONS} \
- ${PYTHON_OPTIONS} \
- || die "Building of Boost libraries failed"
-
- if python_bindings_needed; then
- if [[ -z "${PYTHON_DIRS}" ]]; then
- PYTHON_DIRS="$(find bin.v2/libs -name python | sort)"
- else
- if [[ "${PYTHON_DIRS}" != "$(find bin.v2/libs -name python | sort)" ]]; then
- die "Inconsistent structure of build directories"
- fi
- fi
-
- local dir
- for dir in ${PYTHON_DIRS}; do
- mv ${dir} ${dir}-${EPYTHON} \
- || die "Renaming of '${dir}' to '${dir}-${EPYTHON}' failed"
- done
-
- if mpi_needed; then
- if [[ -z "${MPI_PYTHON_MODULE}" ]]; then
- MPI_PYTHON_MODULE="$(find bin.v2/libs/mpi/build/*/gentoo* -name mpi.so)"
- if [[ "$(echo "${MPI_PYTHON_MODULE}" | wc -l)" -ne 1 ]]; then
- die "Multiple mpi.so files found"
- fi
- else
- if [[ "${MPI_PYTHON_MODULE}" != "$(find bin.v2/libs/mpi/build/*/gentoo* -name mpi.so)" ]]; then
- die "Inconsistent structure of build directories"
- fi
- fi
-
- mv stage/lib/mpi.so stage/lib/mpi.so-${EPYTHON} \
- || die "Renaming of 'stage/lib/mpi.so' to 'stage/lib/mpi.so-${EPYTHON}' failed"
- fi
- fi
- }
- if python_bindings_needed; then
- python_foreach_impl building
- else
- building
- fi
-
- if tools_needed; then
- pushd tools > /dev/null || die
-
- ejam \
- ${OPTIONS} \
- ${PYTHON_OPTIONS} \
- || die "Building of Boost tools failed"
- popd > /dev/null || die
- fi
-}
-
-multilib_src_install_all() {
- if ! use python; then
- rm -r "${ED}"/usr/include/boost/python* || die
- fi
-
- if ! use nls; then
- rm -r "${ED}"/usr/include/boost/locale || die
- fi
-
- if ! use context; then
- rm -r "${ED}"/usr/include/boost/context || die
- rm -r "${ED}"/usr/include/boost/coroutine || die
- fi
-
- if use doc; then
- find libs/*/* -iname "test" -or -iname "src" | xargs rm -rf
- dohtml \
- -A pdf,txt,cpp,hpp \
- *.{htm,html,png,css} \
- -r doc
- dohtml -A pdf,txt -r tools
- insinto /usr/share/doc/${PF}/html
- doins -r libs
- doins -r more
-
- # To avoid broken links
- insinto /usr/share/doc/${PF}/html
- doins LICENSE_1_0.txt
-
- dosym /usr/include/boost /usr/share/doc/${PF}/html/boost
- fi
-}
-
-multilib_src_install() {
- local -x BOOST_ROOT="${BUILD_DIR}"
- installation() {
- create_user-config.jam
-
- local PYTHON_OPTIONS
- if python_bindings_needed; then
- local dir
- for dir in ${PYTHON_DIRS}; do
- cp -pr ${dir}-${EPYTHON} ${dir} \
- || die "Copying of '${dir}-${EPYTHON}' to '${dir}' failed"
- done
-
- if mpi_needed; then
- cp -p stage/lib/mpi.so-${EPYTHON} "${MPI_PYTHON_MODULE}" \
- || die "Copying of 'stage/lib/mpi.so-${EPYTHON}' to '${MPI_PYTHON_MODULE}' failed"
- cp -p stage/lib/mpi.so-${EPYTHON} stage/lib/mpi.so \
- || die "Copying of 'stage/lib/mpi.so-${EPYTHON}' to 'stage/lib/mpi.so' failed"
- fi
- PYTHON_OPTIONS=" --python-buildid=${EPYTHON#python}"
- else
- PYTHON_OPTIONS=" --without-python"
- fi
-
- ejam \
- ${OPTIONS} \
- ${PYTHON_OPTIONS} \
- --includedir="${ED}usr/include" \
- --libdir="${ED}usr/$(get_libdir)" \
- install || die "Installation of Boost libraries failed"
-
- if python_bindings_needed; then
- rm -r ${PYTHON_DIRS} || die
-
- # Move mpi.so Python module to Python site-packages directory.
- # https://svn.boost.org/trac/boost/ticket/2838
- if mpi_needed; then
- local moddir=$(python_get_sitedir)/boost
- # moddir already includes eprefix
- mkdir -p "${D}${moddir}" || die
- mv "${ED}usr/$(get_libdir)/mpi.so" "${D}${moddir}" || die
- cat << EOF > "${D}${moddir}/__init__.py" || die
-import sys
-if sys.platform.startswith('linux'):
- import DLFCN
- flags = sys.getdlopenflags()
- sys.setdlopenflags(DLFCN.RTLD_NOW | DLFCN.RTLD_GLOBAL)
- from . import mpi
- sys.setdlopenflags(flags)
- del DLFCN, flags
-else:
- from . import mpi
-del sys
-EOF
- fi
-
- python_optimize
- fi
- }
- if python_bindings_needed; then
- python_foreach_impl installation
- else
- installation
- fi
-
- pushd "${ED}usr/$(get_libdir)" > /dev/null || die
-
- local ext=$(get_libname)
- if use threads; then
- local f
- for f in *${ext}; do
- dosym ${f} /usr/$(get_libdir)/${f/${ext}/-mt${ext}}
- done
- fi
-
- popd > /dev/null || die
-
- if tools_needed; then
- dobin dist/bin/*
-
- insinto /usr/share
- doins -r dist/share/boostbook
- fi
-
- # boost's build system truely sucks for not having a destdir. Because for
- # this reason we are forced to build with a prefix that includes the
- # DESTROOT, dynamic libraries on Darwin end messed up, referencing the
- # DESTROOT instread of the actual EPREFIX. There is no way out of here
- # but to do it the dirty way of manually setting the right install_names.
- if [[ ${CHOST} == *-darwin* ]]; then
- einfo "Working around completely broken build-system(tm)"
- local d
- for d in "${ED}"usr/lib/*.dylib; do
- if [[ -f ${d} ]]; then
- # fix the "soname"
- ebegin " correcting install_name of ${d#${ED}}"
- install_name_tool -id "/${d#${D}}" "${d}"
- eend $?
- # fix references to other libs
- refs=$(otool -XL "${d}" | \
- sed -e '1d' -e 's/^\t//' | \
- grep "^libboost_" | \
- cut -f1 -d' ')
- local r
- for r in ${refs}; do
- ebegin " correcting reference to ${r}"
- install_name_tool -change \
- "${r}" \
- "${EPREFIX}/usr/lib/${r}" \
- "${d}"
- eend $?
- done
- fi
- done
- fi
-}
-
-pkg_preinst() {
- # Yai for having symlinks that are nigh-impossible to remove without
- # resorting to dirty hacks like these. Removes lingering symlinks
- # from the slotted versions.
- local symlink
- for symlink in "${EROOT}usr/include/boost" "${EROOT}usr/share/boostbook"; do
- [[ -L ${symlink} ]] && rm -f "${symlink}"
- done
-}
diff --git a/dev-libs/boost/files/boost-1.48.0-disable_icu_rpath.patch b/dev-libs/boost/files/boost-1.48.0-disable_icu_rpath.patch
deleted file mode 100644
index a902d61..0000000
--- a/dev-libs/boost/files/boost-1.48.0-disable_icu_rpath.patch
+++ /dev/null
@@ -1,29 +0,0 @@
---- libs/locale/build/Jamfile.v2
-+++ libs/locale/build/Jamfile.v2
-@@ -58,8 +58,8 @@
-
- if $(ICU_LINK)
- {
-- ICU_OPTS = <include>$(ICU_PATH)/include <linkflags>$(ICU_LINK) <dll-path>$(ICU_PATH)/bin <runtime-link>shared ;
-- ICU64_OPTS = <include>$(ICU_PATH)/include <linkflags>$(ICU_LINK) <dll-path>$(ICU_PATH)/bin64 <runtime-link>shared ;
-+ ICU_OPTS = <include>$(ICU_PATH)/include <linkflags>$(ICU_LINK) <runtime-link>shared ;
-+ ICU64_OPTS = <include>$(ICU_PATH)/include <linkflags>$(ICU_LINK) <runtime-link>shared ;
- }
- else
- {
-@@ -117,7 +117,6 @@
- <library>icuuc/<link>shared/<runtime-link>shared
- <library>icudt/<link>shared/<runtime-link>shared
- <library>icuin/<link>shared/<runtime-link>shared
-- <dll-path>$(ICU_PATH)/bin
- <runtime-link>shared ;
-
-
-@@ -176,7 +175,6 @@
- <library>icuuc_64/<link>shared/<runtime-link>shared
- <library>icudt_64/<link>shared/<runtime-link>shared
- <library>icuin_64/<link>shared/<runtime-link>shared
-- <dll-path>$(ICU_PATH)/bin64
- <runtime-link>shared ;
-
-
diff --git a/dev-libs/boost/files/boost-1.48.0-disable_libboost_python3.patch b/dev-libs/boost/files/boost-1.48.0-disable_libboost_python3.patch
deleted file mode 100644
index c24a56c..0000000
--- a/dev-libs/boost/files/boost-1.48.0-disable_libboost_python3.patch
+++ /dev/null
@@ -1,62 +0,0 @@
---- libs/python/build/Jamfile.v2
-+++ libs/python/build/Jamfile.v2
-@@ -39,23 +39,6 @@
- PYTHON_ID = [ regex.replace $(python-id) "[*\\/:\"\']" "_" ] ;
- }
-
--
--rule find-py3-version
--{
-- local versions = [ feature.values python ] ;
-- local py3ver ;
-- for local v in $(versions)
-- {
-- if $(v) >= 3.0
-- {
-- py3ver = $(v) ;
-- }
-- }
-- return $(py3ver) ;
--}
--
--py3-version = [ find-py3-version ] ;
--
- project boost/python
- : source-location ../src
- : requirements
-@@ -82,7 +65,7 @@
- rule cond ( test ? : yes * : no * ) { if $(test) { return $(yes) ; } else { return $(no) ; } }
- rule unless ( test ? : yes * : no * ) { if ! $(test) { return $(yes) ; } else { return $(no) ; } }
-
--rule lib_boost_python ( is-py3 ? )
-+rule lib_boost_python
- {
-
- local python_major_version = [ MATCH "^([^.]+)" : [ feature.values python ] ] ;
-@@ -91,7 +74,7 @@
- {
- python2 = true ;
- }
-- lib [ cond $(is-py3) : boost_python3 : boost_python ]
-+ lib boost_python
- : # sources
- numeric.cpp
- list.cpp
-@@ -148,7 +131,6 @@
- <dependency>config-warning
-
- <python-debugging>on:<define>BOOST_DEBUG_PYTHON
-- [ cond $(is-py3) : <python>$(py3-version) ]
- : # default build
- <link>shared
- : # usage requirements
-@@ -160,9 +142,3 @@
-
- lib_boost_python ;
- boost-install boost_python ;
--
--if $(py3-version)
--{
-- lib_boost_python yes ;
-- boost-install boost_python3 ;
--}
diff --git a/dev-libs/boost/files/boost-1.48.0-mpi_python3.patch b/dev-libs/boost/files/boost-1.48.0-mpi_python3.patch
deleted file mode 100644
index a32eca9..0000000
--- a/dev-libs/boost/files/boost-1.48.0-mpi_python3.patch
+++ /dev/null
@@ -1,95 +0,0 @@
-https://svn.boost.org/trac/boost/ticket/4657
-https://svn.boost.org/trac/boost/changeset/76290
-
---- libs/mpi/src/python/datatypes.cpp
-+++ libs/mpi/src/python/datatypes.cpp
-@@ -17,7 +17,9 @@
-
- void export_datatypes()
- {
-+#if PY_MAJOR_VERSION < 3
- register_serialized(long(0), &PyInt_Type);
-+#endif
- register_serialized(false, &PyBool_Type);
- register_serialized(double(0.0), &PyFloat_Type);
- }
---- libs/mpi/src/python/py_environment.cpp
-+++ libs/mpi/src/python/py_environment.cpp
-@@ -11,6 +11,9 @@
- * This file reflects the Boost.MPI "environment" class into Python
- * methods at module level.
- */
-+
-+#include <locale>
-+#include <string>
- #include <boost/python.hpp>
- #include <boost/mpi.hpp>
-
-@@ -50,11 +53,64 @@
-
- // If anything changed, convert C-style argc/argv into Python argv
- if (mpi_argv != my_argv)
-+ {
-+#if PY_MAJOR_VERSION >= 3
-+
-+ wchar_t **argv_copy = (wchar_t **)PyMem_Malloc(sizeof(wchar_t*)*mpi_argc);
-+ /* We need a second copy, as Python might modify the first one. */
-+ wchar_t **argv_copy2 = (wchar_t **)PyMem_Malloc(sizeof(wchar_t*)*mpi_argc);
-+
-+ if (!argv_copy || !argv_copy2) {
-+ fprintf(stderr, "out of memory\n");
-+ return false;
-+ }
-+
-+ std::locale mylocale;
-+ mbstate_t mystate;
-+
-+ const std::codecvt<char, wchar_t, mbstate_t>& myfacet =
-+ std::use_facet<std::codecvt<char, wchar_t, mbstate_t> >(mylocale);
-+
-+ for (int i = 0; i < mpi_argc; i++)
-+ {
-+ size_t length = strlen(mpi_argv[i]);
-+
-+ wchar_t *dest = (wchar_t *) PyMem_Malloc(sizeof(wchar_t) * (length + 1));
-+
-+ const char *from_next;
-+ wchar_t *to_next;
-+
-+ std::codecvt<wchar_t,char,mbstate_t>::result myresult =
-+ myfacet.out(mystate,
-+ mpi_argv[i], mpi_argv[i] + length + 1, from_next,
-+ dest, dest+length+1, to_next);
-+
-+ if (myresult != std::codecvt<wchar_t,char,mbstate_t>::ok )
-+ {
-+ fprintf(stderr, "failure translating argv\n");
-+ return 1;
-+ }
-+
-+ argv_copy2[i] = argv_copy[i] = dest;
-+ if (!argv_copy[i])
-+ return false;
-+ }
-+
-+ PySys_SetArgv(mpi_argc, argv_copy);
-+
-+ for (int i = 0; i < mpi_argc; i++) {
-+ PyMem_Free(argv_copy2[i]);
-+ }
-+ PyMem_Free(argv_copy);
-+ PyMem_Free(argv_copy2);
-+#else
- PySys_SetArgv(mpi_argc, mpi_argv);
-+#endif
-+ }
-
-- for (int arg = 0; arg < my_argc; ++arg)
-- free(my_argv[arg]);
-- delete [] my_argv;
-+ for (int arg = 0; arg < mpi_argc; ++arg)
-+ free(mpi_argv[arg]);
-+ delete [] mpi_argv;
-
- return true;
- }
diff --git a/dev-libs/boost/files/boost-1.48.0-no_strict_aliasing_python2.patch b/dev-libs/boost/files/boost-1.48.0-no_strict_aliasing_python2.patch
deleted file mode 100644
index 89f8109..0000000
--- a/dev-libs/boost/files/boost-1.48.0-no_strict_aliasing_python2.patch
+++ /dev/null
@@ -1,23 +0,0 @@
---- libs/python/build/Jamfile.v2
-+++ libs/python/build/Jamfile.v2
-@@ -85,6 +85,12 @@
- rule lib_boost_python ( is-py3 ? )
- {
-
-+ local python_major_version = [ MATCH "^([^.]+)" : [ feature.values python ] ] ;
-+ local python2 ;
-+ if $(python_major_version) = 2
-+ {
-+ python2 = true ;
-+ }
- lib [ cond $(is-py3) : boost_python3 : boost_python ]
- : # sources
- numeric.cpp
-@@ -119,6 +125,7 @@
- : # requirements
- <link>static:<define>BOOST_PYTHON_STATIC_LIB
- <define>BOOST_PYTHON_SOURCE
-+ [ cond $(python2) : <cxxflags>-fno-strict-aliasing ]
-
- # On Windows, all code using Python has to link to the Python
- # import library.
diff --git a/dev-libs/boost/files/boost-1.48.0-python_linking.patch b/dev-libs/boost/files/boost-1.48.0-python_linking.patch
deleted file mode 100644
index e7f4e7c..0000000
--- a/dev-libs/boost/files/boost-1.48.0-python_linking.patch
+++ /dev/null
@@ -1,24 +0,0 @@
---- libs/python/build/Jamfile.v2
-+++ libs/python/build/Jamfile.v2
-@@ -109,20 +109,7 @@
- <link>static:<define>BOOST_PYTHON_STATIC_LIB
- <define>BOOST_PYTHON_SOURCE
- [ cond $(python2) : <cxxflags>-fno-strict-aliasing ]
--
-- # On Windows, all code using Python has to link to the Python
-- # import library.
-- #
-- # On *nix we never link libboost_python to libpython. When
-- # extending Python, all Python symbols are provided by the
-- # Python interpreter executable. When embedding Python, the
-- # client executable is expected to explicitly link to
-- # /python//python (the target representing libpython) itself.
-- #
-- # python_for_extensions is a target defined by Boost.Build to
-- # provide the Python include paths, and on Windows, the Python
-- # import library, as usage requirements.
-- [ cond [ python.configured ] : <library>/python//python_for_extensions ]
-+ [ cond [ python.configured ] : <library>/python//python ]
-
- # we prevent building when there is no python available
- # as it's not possible anyway, and to cause dependents to
diff --git a/dev-libs/boost/files/boost-1.51.0-respect_python-buildid.patch b/dev-libs/boost/files/boost-1.51.0-respect_python-buildid.patch
deleted file mode 100644
index 327429e..0000000
--- a/dev-libs/boost/files/boost-1.51.0-respect_python-buildid.patch
+++ /dev/null
@@ -1,69 +0,0 @@
-https://svn.boost.org/trac/boost/ticket/6286
-
---- boostcpp.jam
-+++ boostcpp.jam
-@@ -99,13 +99,6 @@
- BUILD_ID = [ regex.replace $(build-id) "[*\\/:.\"\' ]" _ ] ;
- }
-
--# Python build id (for Python libraries only).
--python-id = [ option.get "python-buildid" ] ;
--if $(python-id)
--{
-- PYTHON_ID = [ regex.replace $(python-id) [*\\/:.\"\'] _ ] ;
--}
--
-
- ################################################################################
- #
---- libs/mpi/build/Jamfile.v2
-+++ libs/mpi/build/Jamfile.v2
-@@ -8,6 +8,8 @@
- # Authors: Douglas Gregor
- # Andrew Lumsdaine
-
-+import option ;
-+import regex ;
- import mpi ;
- import indirect ;
- import python ;
-@@ -24,6 +26,13 @@
- <tag>@$(__name__).tag
- ;
-
-+# Python build id (for Python libraries only).
-+python-id = [ option.get "python-buildid" ] ;
-+if $(python-id)
-+{
-+ PYTHON_ID = [ regex.replace $(python-id) [*\\/:.\"\'] _ ] ;
-+}
-+
- rule tag ( name : type ? : property-set )
- {
- local result = $(name) ;
---- libs/python/build/Jamfile.v2
-+++ libs/python/build/Jamfile.v2
-@@ -2,6 +2,8 @@
- # Software License, Version 1.0. (See accompanying
- # file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
-
-+import option ;
-+import regex ;
- import os ;
- import indirect ;
- import modules ;
-@@ -30,6 +32,14 @@
- ;
- }
-
-+# Python build id (for Python libraries only).
-+python-id = [ option.get "python-buildid" ] ;
-+if $(python-id)
-+{
-+ PYTHON_ID = [ regex.replace $(python-id) [*\\/:.\"\'] _ ] ;
-+}
-+
-+
- rule find-py3-version
- {
- local versions = [ feature.values python ] ;
diff --git a/dev-libs/boost/files/boost-1.51.0-support_dots_in_python-buildid.patch b/dev-libs/boost/files/boost-1.51.0-support_dots_in_python-buildid.patch
deleted file mode 100644
index c8dc6e1..0000000
--- a/dev-libs/boost/files/boost-1.51.0-support_dots_in_python-buildid.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- libs/mpi/build/Jamfile.v2
-+++ libs/mpi/build/Jamfile.v2
-@@ -30,7 +30,7 @@
- python-id = [ option.get "python-buildid" ] ;
- if $(python-id)
- {
-- PYTHON_ID = [ regex.replace $(python-id) [*\\/:.\"\'] _ ] ;
-+ PYTHON_ID = [ regex.replace $(python-id) [*\\/:\"\'] _ ] ;
- }
-
- rule tag ( name : type ? : property-set )
---- libs/python/build/Jamfile.v2
-+++ libs/python/build/Jamfile.v2
-@@ -36,7 +36,7 @@
- python-id = [ option.get "python-buildid" ] ;
- if $(python-id)
- {
-- PYTHON_ID = [ regex.replace $(python-id) [*\\/:.\"\'] _ ] ;
-+ PYTHON_ID = [ regex.replace $(python-id) [*\\/:\"\'] _ ] ;
- }
-
-
diff --git a/dev-libs/boost/files/boost-1.52.0-locale-utf.patch b/dev-libs/boost/files/boost-1.52.0-locale-utf.patch
deleted file mode 100644
index 7ef51e9..0000000
--- a/dev-libs/boost/files/boost-1.52.0-locale-utf.patch
+++ /dev/null
@@ -1,52 +0,0 @@
-Index: boost/locale/utf.hpp
-===================================================================
---- boost/locale/utf.hpp (revision 81589)
-+++ boost/locale/utf.hpp (revision 81590)
-@@ -219,16 +219,22 @@
- if(BOOST_LOCALE_UNLIKELY(p==e))
- return incomplete;
- tmp = *p++;
-+ if (!is_trail(tmp))
-+ return illegal;
- c = (c << 6) | ( tmp & 0x3F);
- case 2:
- if(BOOST_LOCALE_UNLIKELY(p==e))
- return incomplete;
- tmp = *p++;
-+ if (!is_trail(tmp))
-+ return illegal;
- c = (c << 6) | ( tmp & 0x3F);
- case 1:
- if(BOOST_LOCALE_UNLIKELY(p==e))
- return incomplete;
- tmp = *p++;
-+ if (!is_trail(tmp))
-+ return illegal;
- c = (c << 6) | ( tmp & 0x3F);
- }
-
-Index: libs/locale/test/test_codepage_converter.cpp
-===================================================================
---- libs/locale/test/test_codepage_converter.cpp (revision 81589)
-+++ libs/locale/test/test_codepage_converter.cpp (revision 81590)
-@@ -140,6 +140,20 @@
- TEST_TO("\xf8\x90\x80\x80\x80",illegal); // 400 0000
- TEST_TO("\xfd\xbf\xbf\xbf\xbf\xbf",illegal); // 7fff ffff
-
-+ std::cout << "-- Invalid trail" << std::endl;
-+ TEST_TO("\xC2\x7F",illegal);
-+ TEST_TO("\xdf\x7F",illegal);
-+ TEST_TO("\xe0\x7F\x80",illegal);
-+ TEST_TO("\xef\xbf\x7F",illegal);
-+ TEST_TO("\xe0\x7F\x80",illegal);
-+ TEST_TO("\xef\xbf\x7F",illegal);
-+ TEST_TO("\xf0\x7F\x80\x80",illegal);
-+ TEST_TO("\xf4\x7f\xbf\xbf",illegal);
-+ TEST_TO("\xf0\x90\x7F\x80",illegal);
-+ TEST_TO("\xf4\x8f\x7F\xbf",illegal);
-+ TEST_TO("\xf0\x90\x80\x7F",illegal);
-+ TEST_TO("\xf4\x8f\xbf\x7F",illegal);
-+
- std::cout << "-- Invalid length" << std::endl;
-
- /// Test that this actually works
diff --git a/dev-libs/boost/files/boost-1.52.0-threads.patch b/dev-libs/boost/files/boost-1.52.0-threads.patch
deleted file mode 100644
index e078fc2..0000000
--- a/dev-libs/boost/files/boost-1.52.0-threads.patch
+++ /dev/null
@@ -1,63 +0,0 @@
-Index: /trunk/boostcpp.jam
-===================================================================
---- /trunk/boostcpp.jam (revision 79301)
-+++ /trunk/boostcpp.jam (revision 81000)
-@@ -210,6 +210,44 @@
- }
-
-+rule filtered-target ( name : message + : sources + : requirements * )
-+{
-+ message $(name)-message : warning: $(message) ;
-+ alias $(name) : $(sources) : $(requirements) ;
-+ alias $(name) : $(name)-message ;
-+
-+ local p = [ project.current ] ;
-+ $(p).mark-target-as-explicit $(name) ;
-+ $(p).mark-target-as-explicit $(name)-message ;
-+}
-+
- rule declare_install_and_stage_proper_targets ( libraries * : headers * )
- {
-+ for local l in $(libraries)
-+ {
-+ if $(l) = locale
-+ {
-+ filtered-target $(l)-for-install :
-+ Skipping Boost.Locale library with threading=single. :
-+ libs/$(l)/build : <threading>multi ;
-+ }
-+ else if $(l) = wave
-+ {
-+ filtered-target $(l)-for-install :
-+ Skipping Boost.Wave library with threading=single. :
-+ libs/$(l)/build : <threading>multi ;
-+ }
-+ else if $(l) = thread
-+ {
-+ filtered-target $(l)-for-install :
-+ Skipping Boost.Thread library with threading=single. :
-+ libs/$(l)/build : <threading>multi ;
-+ }
-+ else
-+ {
-+ alias $(l)-for-install : libs/$(l)/build ;
-+ }
-+ }
-+ local library-targets = $(libraries)-for-install ;
-+
- install-requirements = <install-source-root>$(BOOST_ROOT)/boost ;
-
-@@ -239,5 +277,5 @@
- : $(install-requirements) <install-no-version-symlinks>on
- :
-- : libs/$(libraries)/build
-+ : $(libraries)-for-install
- : $(headers)
- ;
-@@ -246,5 +284,5 @@
- # Install just library.
- install stage-proper
-- : libs/$(libraries)/build
-+ : $(libraries)-for-install
- : <location>$(stage-locate)/lib
- <install-dependencies>on <install-type>LIB
diff --git a/dev-libs/boost/files/boost-1.52.0-tuple.patch b/dev-libs/boost/files/boost-1.52.0-tuple.patch
deleted file mode 100644
index 08bab86..0000000
--- a/dev-libs/boost/files/boost-1.52.0-tuple.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- boost/signals2/detail/variadic_slot_invoker.hpp.org 2012-11-20 09:15:55.000000000 +0400
-+++ boost/signals2/detail/variadic_slot_invoker.hpp 2012-11-20 09:19:56.000000000 +0400
-@@ -20,7 +20,7 @@
- // if compiler has std::tuple use it instead of boost::tuple
- // because boost::tuple does not have variadic template support at present.
- #ifdef BOOST_NO_CXX11_HDR_TUPLE
--#include <boost/tuple.hpp>
-+#include <boost/tuple/tuple.hpp>
- #define BOOST_SIGNALS2_TUPLE boost::tuple
- #else
- #include <tuple>
diff --git a/dev-libs/boost/files/boost-1.53.0-glibc-2.18-compat.patch b/dev-libs/boost/files/boost-1.53.0-glibc-2.18-compat.patch
deleted file mode 100644
index 54d2e29..0000000
--- a/dev-libs/boost/files/boost-1.53.0-glibc-2.18-compat.patch
+++ /dev/null
@@ -1,18 +0,0 @@
-Patch for compatibility with glibc 2.18
-Gentoo bugreport: https://bugs.gentoo.org/show_bug.cgi?id=482372
-Upstream fix: https://svn.boost.org/trac/boost/changeset/84950
-
---- boost_1_53_0/boost/cstdint.hpp 2012-12-11 22:42:26.000000000 +0800
-+++ boost_1_53_0.fix/boost/cstdint.hpp 2013-08-25 20:48:53.683000000 +0800
-@@ -41,7 +41,10 @@
- // so we disable use of stdint.h when GLIBC does not define __GLIBC_HAVE_LONG_LONG.
- // See https://svn.boost.org/trac/boost/ticket/3548 and http://sources.redhat.com/bugzilla/show_bug.cgi?id=10990
- //
--#if defined(BOOST_HAS_STDINT_H) && (!defined(__GLIBC__) || defined(__GLIBC_HAVE_LONG_LONG))
-+#if defined(BOOST_HAS_STDINT_H) \
-+ && (!defined(__GLIBC__) \
-+ || defined(__GLIBC_HAVE_LONG_LONG) \
-+ || (defined(__GLIBC__) && ((__GLIBC__ > 2) || ((__GLIBC__ == 2) && (__GLIBC_MINOR__ >= 17)))))
-
- // The following #include is an implementation artifact; not part of interface.
- # ifdef __hpux
diff --git a/dev-libs/boost/files/boost-1.53.0-library_status.patch b/dev-libs/boost/files/boost-1.53.0-library_status.patch
deleted file mode 100644
index 7d10461..0000000
--- a/dev-libs/boost/files/boost-1.53.0-library_status.patch
+++ /dev/null
@@ -1,57 +0,0 @@
---- tools_orig/regression/src/library_status.cpp 2012-12-11 15:42:26.000000000 +0100
-+++ tools/regression/src/library_status.cpp 2013-07-11 16:15:54.000000000 +0200
-@@ -171,16 +171,17 @@
- // find_element ------------------------------------------------------------//
-
-+ struct element_equal {
-+ const string & m_name;
-+ element_equal(const string & name) :
-+ m_name(name)
-+ {}
-+ bool operator()(const xml::element_ptr & xep) const {
-+ return xep.get()->name == m_name;
-+ }
-+ };
-+
- xml::element_list::const_iterator find_element(
- const xml::element & root, const string & name
- ){
-- struct element_equal {
-- const string & m_name;
-- element_equal(const string & name) :
-- m_name(name)
-- {}
-- bool operator()(const xml::element_ptr & xep) const {
-- return xep.get()->name == m_name;
-- }
-- };
- return std::find_if(
- root.elements.begin(),
-@@ -203,17 +204,18 @@
- // attribute_value ----------------------------------------------------------//
-
-+ struct attribute_equal {
-+ const string & m_name;
-+ attribute_equal(const string & name) :
-+ m_name(name)
-+ {}
-+ bool operator()(const xml::attribute & a) const {
-+ return a.name == m_name;
-+ }
-+ };
-+
- const string & attribute_value(
- const xml::element & element,
- const string & attribute_name
- ){
-- struct attribute_equal {
-- const string & m_name;
-- attribute_equal(const string & name) :
-- m_name(name)
-- {}
-- bool operator()(const xml::attribute & a) const {
-- return a.name == m_name;
-- }
-- };
- xml::attribute_list::const_iterator itr;
- itr = std::find_if(
diff --git a/dev-libs/boost/files/boost-1.55.0-context-x32.patch b/dev-libs/boost/files/boost-1.55.0-context-x32.patch
deleted file mode 100644
index 5bf7406..0000000
--- a/dev-libs/boost/files/boost-1.55.0-context-x32.patch
+++ /dev/null
@@ -1,42 +0,0 @@
-https://svn.boost.org/trac/boost/ticket/9445
-
-hack to fix x32 builds
-
---- a/libs/context/src/asm/jump_i386_sysv_elf_gas.S
-+++ b/libs/context/src/asm/jump_i386_sysv_elf_gas.S
-@@ -31,6 +31,10 @@
- * *
- * *****************************************************************/
-
-+#ifdef __x86_64__
-+#include "jump_x86_64_sysv_elf_gas.S"
-+#else
-+
- .text
- .globl jump_fcontext
- .align 2
-@@ -73,3 +77,5 @@ jump_fcontext:
-
- /* Mark that we don't need executable stack. */
- .section .note.GNU-stack,"",%progbits
-+
-+#endif
---- a/libs/context/src/asm/make_i386_sysv_elf_gas.S
-+++ b/libs/context/src/asm/make_i386_sysv_elf_gas.S
-@@ -31,6 +31,10 @@
- * *
- * *****************************************************************/
-
-+#ifdef __x86_64__
-+#include "make_x86_64_sysv_elf_gas.S"
-+#else
-+
- .text
- .globl make_fcontext
- .align 2
-@@ -78,3 +82,5 @@ finish:
-
- /* Mark that we don't need executable stack. */
- .section .note.GNU-stack,"",%progbits
-+
-+#endif
diff --git a/dev-libs/boost/files/boost-1.55.0-tools-c98-compat.patch b/dev-libs/boost/files/boost-1.55.0-tools-c98-compat.patch
deleted file mode 100644
index df2a14a..0000000
--- a/dev-libs/boost/files/boost-1.55.0-tools-c98-compat.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-Make tools compiled successfully with forced C++98
-
-Gentoo bugreport: https://bugs.gentoo.org/show_bug.cgi?id=503468
-
-diff --git a/tools/regression/src/compiler_status.cpp b/tools/regression/src/compiler_status.cpp
-index 63f8134..3f3374a 100644
---- a/tools/regression/src/compiler_status.cpp
-+++ b/tools/regression/src/compiler_status.cpp
-@@ -128,7 +128,7 @@ namespace
- string ln(line);
- if (ln.find("Revision: ") != string::npos)
- {
-- for(auto itr = ln.begin()+10; itr != ln.end() && isdigit(*itr); ++itr)
-+ for(string::iterator itr = ln.begin()+10; itr != ln.end() && isdigit(*itr); ++itr)
- rev += *itr;
- }
- }
diff --git a/dev-libs/boost/files/boost-1.56.0-build-auto_index-tool.patch b/dev-libs/boost/files/boost-1.56.0-build-auto_index-tool.patch
deleted file mode 100644
index 5175800..0000000
--- a/dev-libs/boost/files/boost-1.56.0-build-auto_index-tool.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Build auto_index tool with USE="tools"
-Gentoo bug report: https://bugs.gentoo.org/show_bug.cgi?id=529066
-
---- tools/Jamfile.v2.orig 2014-12-24 12:57:32.290880067 +0300
-+++ tools/Jamfile.v2 2014-12-24 12:58:38.403883250 +0300
-@@ -20,6 +20,7 @@
- use-project /boost/regression : regression/build ;
-
- TOOLS =
-+ auto_index/build//auto_index
- bcp//bcp
- inspect/build//inspect
- quickbook//quickbook
diff --git a/dev-libs/boost/files/remove-toolset-1.48.0.patch b/dev-libs/boost/files/remove-toolset-1.48.0.patch
deleted file mode 100644
index df91529..0000000
--- a/dev-libs/boost/files/remove-toolset-1.48.0.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- boostcpp.jam
-+++ boostcpp.jam
-@@ -377,7 +377,7 @@
- if $(layout) = versioned
- {
- result = [ common.format-name
-- <base> <toolset> <threading> <runtime> -$(BOOST_VERSION_TAG)
-+ <base> <threading> <runtime> -$(BOOST_VERSION_TAG)
- -$(BUILD_ID)
- : $(name) : $(type) : $(property-set) ] ;
- }
diff --git a/dev-util/boost-build/boost-build-1.58.0.ebuild b/dev-util/boost-build/boost-build-1.58.0.ebuild
deleted file mode 100644
index 37ee3a9..0000000
--- a/dev-util/boost-build/boost-build-1.58.0.ebuild
+++ /dev/null
@@ -1,139 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-util/boost-build/boost-build-1.57.0.ebuild,v 1.3 2015/03/10 21:01:36 vapier Exp $
-
-EAPI="5"
-
-RESTRICT="test"
-
-PYTHON_COMPAT=( python2_7 )
-inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs versionator
-
-MY_PV="$(replace_all_version_separators _)"
-
-DESCRIPTION="A system for large project software construction, which is simple to use and powerful"
-HOMEPAGE="http://www.boost.org/doc/tools/build/index.html"
-SRC_URI="mirror://sourceforge/boost/boost_${MY_PV}.tar.bz2"
-
-LICENSE="Boost-1.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="examples python test"
-
-RDEPEND="python? ( ${PYTHON_DEPS} )
- !<dev-libs/boost-1.34.0
- !<=dev-util/boost-build-1.35.0-r1"
-DEPEND="${RDEPEND}
- test? ( sys-apps/diffutils
- ${PYTHON_DEPS} )"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
- test? ( ${PYTHON_REQUIRED_USE} )"
-
-S="${WORKDIR}/boost_${MY_PV}/tools/build/src"
-
-pkg_setup() {
- if use python || use test; then
- python-single-r1_pkg_setup
- fi
-}
-
-src_unpack() {
- tar xjpf "${DISTDIR}/${A}" boost_${MY_PV}/tools/build || die "unpacking tar failed"
-}
-
-src_prepare() {
- epatch \
- "${FILESDIR}/${PN}-1.48.0-disable_python_rpath.patch" \
- "${FILESDIR}/${PN}-1.50.0-respect-c_ld-flags.patch" \
- "${FILESDIR}/${PN}-1.49.0-darwin-gentoo-toolchain.patch" \
- "${FILESDIR}/${PN}-1.52.0-darwin-no-python-framework.patch" \
- "${FILESDIR}/${PN}-1.54.0-support_dots_in_python-buildid.patch" \
- "${FILESDIR}/${PN}-1.55.0-ppc-aix.patch"
-
- pushd ../ &>/dev/null || die
- epatch "${FILESDIR}/${PN}-1.54.0-fix-test.patch"
- popd &>/dev/null || die
-
- # Remove stripping option
- # Fix python components build on multilib systems, bug #496446
- cd "${S}/engine" || die
- sed -i \
- -e 's|-s\b||' \
- -e "/libpython/s/lib ]/$(get_libdir) ]/" \
- build.jam || die "sed failed"
-
- # Force regeneration
- rm jambase.c || die
-
- # This patch allows us to fully control optimization
- # and stripping flags when bjam is used as build-system
- # We simply extend the optimization and debug-symbols feature
- # with empty dummies called 'none'
- cd "${S}" || die
- sed -i \
- -e 's/\(off speed space\)/\1 none/' \
- -e 's/\(debug-symbols : on off\)/\1 none/' \
- tools/builtin.jam || die "sed failed"
-
- epatch_user
-}
-
-src_configure() {
- if use python; then
- # replace versions by user-selected one (TODO: fix this when slot-op
- # deps are available to always match the best version available)
- sed -i \
- -e "s|2.7 2.6 2.5 2.4 2.3 2.2|${EPYTHON#python}|" \
- engine/build.jam || die "sed failed"
- fi
-}
-
-src_compile() {
- cd engine || die
-
- local toolset
-
- if [[ ${CHOST} == *-darwin* ]]; then
- toolset=darwin
- else
- # Using boost's generic toolset here, which respects CC and CFLAGS
- toolset=cc
- fi
-
- CC=$(tc-getCC) ./build.sh ${toolset} -d+2 $(use_with python python "${EROOT}"/usr) || die "building bjam failed"
-}
-
-src_install() {
- dobin engine/bin.*/{bjam,b2}
-
- insinto /usr/share/boost-build
- doins -r "${FILESDIR}/site-config.jam" \
- ../boost-build.jam bootstrap.jam build-system.jam ../example/user-config.jam *.py \
- build kernel options tools util
-
- rm "${ED}/usr/share/boost-build/build/project.ann.py" || die "removing faulty python file failed"
- if ! use python; then
- find "${ED}/usr/share/boost-build" -iname "*.py" -delete || die "removing experimental python files failed"
- fi
-
- dodoc ../notes/{changes,hacking,release_procedure,build_dir_option,relative_source_paths}.txt
-
- if use examples; then
- dodoc -r ../example
- docompress -x "/usr/share/doc/${PF}/example"
- fi
-}
-
-src_test() {
- cd ../test || die
-
- export TMP="${T}"
-
- DO_DIFF="${PREFIX}/usr/bin/diff" ${PYTHON} test_all.py
-
- if [[ -s test_results.txt ]]; then
- eerror "At least one test failed: $(<test_results.txt)"
- die "tests failed"
- fi
-}
diff --git a/dev-util/boost-build/files/boost-build-1.48.0-disable_python_rpath.patch b/dev-util/boost-build/files/boost-build-1.48.0-disable_python_rpath.patch
deleted file mode 100644
index 8b88b43..0000000
--- a/dev-util/boost-build/files/boost-build-1.48.0-disable_python_rpath.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- tools/python.jam
-+++ tools/python.jam
-@@ -961,7 +961,7 @@
- # linux).
- : $(usage-requirements)
- <testing.launcher>$(set-PYTHONPATH)
-- <library-path>$(libraries) <dll-path>$(dll-path) <library>python.lib
-+ <library-path>$(libraries) <library>python.lib
- ;
- }
-
diff --git a/dev-util/boost-build/files/boost-build-1.48.0-support_dots_in_python-buildid.patch b/dev-util/boost-build/files/boost-build-1.48.0-support_dots_in_python-buildid.patch
deleted file mode 100644
index b3bee03..0000000
--- a/dev-util/boost-build/files/boost-build-1.48.0-support_dots_in_python-buildid.patch
+++ /dev/null
@@ -1,19 +0,0 @@
---- tools/common.jam
-+++ tools/common.jam
-@@ -759,7 +759,15 @@
- switch $(f:G)
- {
- case <base> :
-- result += $(name:B) ;
-+ local matched = [ MATCH "^(boost.*python)-.*" : $(name) ] ;
-+ if $(matched) = boost_python || $(matched) = boost_mpi_python
-+ {
-+ result += $(name) ;
-+ }
-+ else
-+ {
-+ result += $(name:B) ;
-+ }
-
- case <toolset> :
- result += [ join-tag $(f:G=) : [ toolset-tag $(name) : $(type) :
diff --git a/dev-util/boost-build/files/boost-build-1.49.0-darwin-gentoo-toolchain.patch b/dev-util/boost-build/files/boost-build-1.49.0-darwin-gentoo-toolchain.patch
deleted file mode 100644
index f5d6188..0000000
--- a/dev-util/boost-build/files/boost-build-1.49.0-darwin-gentoo-toolchain.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-Avoid adding all kinds of things to the toolchain's flags that within
-Gentoo (Prefix) we really shouldn't, such as sysroot, deployment target,
-arch, etc.
-
---- tools/darwin.jam
-+++ tools/darwin.jam
-@@ -227,6 +227,9 @@
- }
- }
-
-+ # leave compiler flags etc. up to the toolchain
-+ return $(version-feature) ;
-+
- if $(version-feature)
- {
- if $(.debug-configuration)
-@@ -387,7 +390,8 @@
- support-ppc64 = ;
- }
- }
-- switch $(arch)
-+ # Gentoo Prefix toolchain doesn't do multi-arch, so don't try either
-+ switch $(donotaddarchpleaseXXXarch)
- {
- case combined :
- {
diff --git a/dev-util/boost-build/files/boost-build-1.50.0-fix-test.patch b/dev-util/boost-build/files/boost-build-1.50.0-fix-test.patch
deleted file mode 100644
index 31f8db2..0000000
--- a/dev-util/boost-build/files/boost-build-1.50.0-fix-test.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- test/startup_v2.py.orig 2012-08-19 11:48:12.020600368 +0200
-+++ test/startup_v2.py 2012-08-19 11:48:28.564516623 +0200
-@@ -14,7 +14,7 @@
- return re.match(expected,actual,re.DOTALL) != None
-
- # Test the v1 startup behavior.
--t = BoostBuild.Tester(match=match_re, boost_build_path='', pass_toolset=0)
-+t = BoostBuild.Tester(match=match_re, boost_build_path='/invalid/location', pass_toolset=0)
-
- t.set_tree('startup')
-
diff --git a/dev-util/boost-build/files/boost-build-1.50.0-respect-c_ld-flags.patch b/dev-util/boost-build/files/boost-build-1.50.0-respect-c_ld-flags.patch
deleted file mode 100644
index f0a1561..0000000
--- a/dev-util/boost-build/files/boost-build-1.50.0-respect-c_ld-flags.patch
+++ /dev/null
@@ -1,53 +0,0 @@
---- engine/build.jam.orig 2012-08-19 09:47:23.916383518 +0200
-+++ engine/build.jam 2012-08-19 09:53:38.011554690 +0200
-@@ -3,7 +3,7 @@
- #~ (See accompanying file LICENSE_1_0.txt or http://www.boost.org/LICENSE_1_0.txt)
-
- # Clean env vars of any "extra" empty values.
--for local v in ARGV CC CFLAGS LIBS
-+for local v in ARGV CC CFLAGS LDFLAGS LIBS
- {
- local values ;
- for local x in $($(v))
-@@ -179,10 +179,10 @@
- if ! $(CC) { CC = cc ; }
- toolset cc $(CC) : "-o " : -D
- : $(CFLAGS)
-- [ opt --release : -s -O ]
-+ [ opt --release : ]
- [ opt --debug : -g ]
- -I$(--python-include) -I$(--extra-include)
-- : $(LIBS) -L$(--python-lib[1]) -l$(--python-lib[2]) ;
-+ : $(LDFLAGS) $(LIBS) -L$(--python-lib[1]) -l$(--python-lib[2]) ;
- ## Comeau C/C++ 4.x
- toolset como como : "-o " : -D
- : --c
-@@ -201,11 +201,11 @@
- ## MacOSX Darwin, using GCC 2.9.x, 3.x
- toolset darwin cc : "-o " : -D
- :
-- [ opt --release : -Wl,-x -O3 -finline-functions ]
-+ [ opt --release : -Wl,-x -finline-functions ]
- [ opt --debug : -g -O0 -fno-inline -pg ]
- [ opt --profile : -Wl,-x -O3 -finline-functions -g -pg ]
- -I$(--python-include) -I$(--extra-include)
-- : -L$(--python-lib[1]) -l$(--python-lib[2]) ;
-+ : $(LDFLAGS) -L$(--python-lib[1]) -l$(--python-lib[2]) ;
- ## GCC 2.x, 3.x, 4.x
- toolset gcc gcc : "-o " : -D
- : -pedantic -fno-strict-aliasing
---- engine/build.sh.orig 2012-08-19 12:09:56.400780866 +0200
-+++ engine/build.sh 2012-08-19 12:10:49.728499203 +0200
-@@ -224,9 +224,9 @@
- cc)
- if test -z "$CC" ; then CC=cc ; fi
- BOOST_JAM_CC=$CC
-- BOOST_JAM_OPT_JAM="$BOOST_JAM_OPT_JAM $CFLAGS $LIBS"
-- BOOST_JAM_OPT_MKJAMBASE="$BOOST_JAM_OPT_MKJAMBASE $CFLAGS $LIBS"
-- BOOST_JAM_OPT_YYACC="$BOOST_JAM_OPT_YYACC $CFLAGS $LIBS"
-+ BOOST_JAM_OPT_JAM="$BOOST_JAM_OPT_JAM $CFLAGS $LDFLAGS $LIBS"
-+ BOOST_JAM_OPT_MKJAMBASE="$BOOST_JAM_OPT_MKJAMBASE $CFLAGS $LDFLAGS $LIBS"
-+ BOOST_JAM_OPT_YYACC="$BOOST_JAM_OPT_YYACC $CFLAGS $LDFLAGS $LIBS"
- ;;
-
- qcc)
diff --git a/dev-util/boost-build/files/boost-build-1.52.0-darwin-no-python-framework.patch b/dev-util/boost-build/files/boost-build-1.52.0-darwin-no-python-framework.patch
deleted file mode 100644
index 08b40f3..0000000
--- a/dev-util/boost-build/files/boost-build-1.52.0-darwin-no-python-framework.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-Don't look for the framework path, we build Python the UNIX way for
-Gentoo Prefix
-
---- engine/build.jam
-+++ engine/build.jam
-@@ -82,11 +82,6 @@
- }
- --python-lib = $(--python-lib[1]) ;
- }
-- else if $(OS) = MACOSX
-- {
-- --python-include = [ .path $(python-location) Headers ] ;
-- --python-lib = $(python-location) Python ;
-- }
- else
- {
- --python-include = ;
diff --git a/dev-util/boost-build/files/boost-build-1.54.0-fix-test.patch b/dev-util/boost-build/files/boost-build-1.54.0-fix-test.patch
deleted file mode 100644
index a44afb9..0000000
--- a/dev-util/boost-build/files/boost-build-1.54.0-fix-test.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- test/startup_v2.py.orig 2013-08-27 12:23:10.520185408 +0400
-+++ test/startup_v2.py 2013-08-27 12:23:27.155186209 +0400
-@@ -50,7 +50,7 @@
- return re.match(expected, actual, re.DOTALL) != None
-
-
--t = BoostBuild.Tester(match=match_re, boost_build_path="", pass_toolset=0)
-+t = BoostBuild.Tester(match=match_re, boost_build_path="/invalid/location", pass_toolset=0)
- t.set_tree("startup")
- check_for_existing_boost_build_jam(t)
-
diff --git a/dev-util/boost-build/files/boost-build-1.54.0-support_dots_in_python-buildid.patch b/dev-util/boost-build/files/boost-build-1.54.0-support_dots_in_python-buildid.patch
deleted file mode 100644
index bddcdac..0000000
--- a/dev-util/boost-build/files/boost-build-1.54.0-support_dots_in_python-buildid.patch
+++ /dev/null
@@ -1,19 +0,0 @@
---- tools/common.jam.orig 2013-08-27 12:13:56.865158748 +0400
-+++ tools/common.jam 2013-08-27 12:15:08.760162210 +0400
-@@ -763,7 +763,15 @@
- switch $(f:G)
- {
- case <base> :
-- result += $(name:B) ;
-+ local matched = [ MATCH "^(boost.*python)-.*" : $(name) ] ;
-+ if $(matched) = boost_python || $(matched) = boost_mpi_python
-+ {
-+ result += $(name) ;
-+ }
-+ else
-+ {
-+ result += $(name:B) ;
-+ }
-
- case <toolset> :
- result += [ join-tag $(f:G=) : [ toolset-tag $(name) : $(type) :
diff --git a/dev-util/boost-build/files/boost-build-1.55.0-ppc-aix.patch b/dev-util/boost-build/files/boost-build-1.55.0-ppc-aix.patch
deleted file mode 100644
index a521309..0000000
--- a/dev-util/boost-build/files/boost-build-1.55.0-ppc-aix.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-https://svn.boost.org/trac/boost/ticket/10122
-
---- engine/mem.h
-+++ engine/mem.h
-@@ -8,6 +8,8 @@
- #ifndef BJAM_MEM_H
- #define BJAM_MEM_H
-
-+#include "jam.h"
-+
- #ifdef OPT_BOEHM_GC
-
- /* Use Boehm GC memory allocator. */
diff --git a/dev-util/boost-build/files/site-config.jam b/dev-util/boost-build/files/site-config.jam
deleted file mode 100644
index 6afe526..0000000
--- a/dev-util/boost-build/files/site-config.jam
+++ /dev/null
@@ -1,11 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the Boost Software License, Version 1.0.
-# (See accompanying file LICENSE_1_0.txt or http://www.boost.org/LICENSE_1_0.txt)
-
-# Define two new variants to be used when building boost (or separate boost-libs)
-# on Gentoo. The two variants make use of Gentoo-specific optimization and debug-symbols
-# values "none" which are not part of the official boost distribution.
-# DO NOT RELY ON THE FOLLOWING VARIANTS TO BE PRESENT ON OTHER OS!
-variant gentoorelease : release : <optimization>none <debug-symbols>none <runtime-link>shared ;
-variant gentoodebug : debug : <optimization>none <debug-symbols>on <runtime-link>shared ;
-